- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_vxlan_global – Manages global attributes of VXLAN and bridge domain on HUAWEI CloudEngine devices

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages global attributes of VXLAN and bridge domain on HUAWEI CloudEngine devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bridge_domain_id - |  | Specifies a bridge domain ID. The value is an integer ranging from 1 to 16777215.
nvo3_acl_extend - | Choices: enable disable | Enabling or disabling the VXLAN ACL extension function.
nvo3_ecmp_hash - | Choices: enable disable | Load balancing of VXLAN packets through ECMP in optimized mode.
nvo3_eth_trunk_hash - | Choices: enable disable | Eth-Trunk from load balancing VXLAN packets in optimized mode.
nvo3_gw_enhanced - | Choices: l2 l3 | Configuring the Layer 3 VXLAN Gateway to Work in Non-loopback Mode.
nvo3_prevent_loops - | Choices: enable disable | Loop prevention of VXLAN traffic in non-enhanced mode. When the device works in non-enhanced mode, inter-card forwarding of VXLAN traffic may result in loops.
nvo3_service_extend - | Choices: enable disable | Enabling or disabling the VXLAN service extension function.
state - | Choices: present ← absent | Determines whether the config should be present or not on the device.
tunnel_mode_vxlan - | Choices: enable disable | Set the tunnel mode to VXLAN when configuring the VXLAN feature.

## Notes

Note

- Recommended connection is `network_cli`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: vxlan global module test
      hosts: ce128
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Create bridge domain and set tunnel mode to VXLAN
        ce_vxlan_global:
          bridge_domain_id: 100
          nvo3_acl_extend: enable
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | verbose mode | k/v pairs of configuration after module execution Sample: {'bridge_domain_id': {'80': None, '90': None, '100': None}, 'nvo3_acl_extend': 'enable'}
existing dictionary | verbose mode | k/v pairs of existing configuration Sample: {'bridge_domain': {'80': None, '90': None}, 'nvo3_acl_extend': 'disable'}
proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'bridge_domain_id': '100', 'nvo3_acl_extend': 'enable', 'state="present"': None}
updates list | always | commands sent to the device Sample: ['bridge-domain 100', 'ip tunnel mode vxlan']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- QijunPan (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.